
package gov.michigan.msp.micrmidexmessages;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * MICR-MIDexRequest Method Type
 * 
 * <p>Java class for MicrMidexRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MicrMidexRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="MicrSubmissionIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="NdexSubmissionIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MicrMidexRequestType", propOrder = {
    "micrSubmissionIndicator",
    "ndexSubmissionIndicator"
})
public class MicrMidexRequestType {

    @XmlElement(name = "MicrSubmissionIndicator", defaultValue = "false")
    protected boolean micrSubmissionIndicator;
    @XmlElement(name = "NdexSubmissionIndicator", defaultValue = "false")
    protected boolean ndexSubmissionIndicator;

    /**
     * Gets the value of the micrSubmissionIndicator property.
     * 
     */
    public boolean isMicrSubmissionIndicator() {
        return micrSubmissionIndicator;
    }

    /**
     * Sets the value of the micrSubmissionIndicator property.
     * 
     */
    public void setMicrSubmissionIndicator(boolean value) {
        this.micrSubmissionIndicator = value;
    }

    /**
     * Gets the value of the ndexSubmissionIndicator property.
     * 
     */
    public boolean isNdexSubmissionIndicator() {
        return ndexSubmissionIndicator;
    }

    /**
     * Sets the value of the ndexSubmissionIndicator property.
     * 
     */
    public void setNdexSubmissionIndicator(boolean value) {
        this.ndexSubmissionIndicator = value;
    }

}
